Page MenuHomePhabricator

Alphabetically ordering glosses
Closed, ResolvedPublic3 Story Points

Description

As an LexData editor, I want to find easily a language in the list of the glosses. The first step for this is to order them alphabetically.

Problem: Currently glosses are sorted by order of entered time. We should sort them alphabetically. We'll go with alphabetically by language code as this is consistent with the termbox.

BDD
GIVEN a Lexeme with a Sense
WHEN the Sense has more than one Gloss
THEN the Glosses are ordered by their language code

Acceptance criteria:

  • When viewing a Sense then all Glosses are in alphabetical order of their language code

Notes:

  • It's ok to have new ones added at the end until page reload.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 4 2018, 1:23 PM
KaMan added a subscriber: KaMan.Sep 4 2018, 2:26 PM
Lydia_Pintscher moved this task from Incoming to Ready to go on the Wikidata-Campsite board.
KaMan added a comment.Sep 30 2018, 5:09 AM

hmm, shouldn't be the first gloss in language of the lexeme?

We'll look into that later as part of T203460.

Change 464004 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Order glosses in senses

https://gerrit.wikimedia.org/r/464004

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 2 2018, 5:28 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Oct 9 2018, 9:36 AM

Change 464004 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Order glosses in senses

https://gerrit.wikimedia.org/r/464004

Lea_Lacroix_WMDE closed this task as Resolved.Oct 12 2018, 7:26 AM

Tested here on L5-S3, it works! \o/

After clicking on "publish", the order stays as entered by the user, it's only when refreshing the page that the glosses get in the alphabetical order. I'm not saying we should change this current behaviour, it's just to mention it somewhere.